.cart-page-navigation{
    background-color: map-get($gray-colors, "gray-200" );
    border-radius: map-get($border-radius, "sm" ) ;
    margin-bottom: 2rem;
    @include flex() ;
    overflow: hidden;
    .cart-page-navigation-item{
        flex: 1 ;
        @include typography($align:center) ;
        padding: 1rem ;
        &.active {
            position: relative;
            background-color: map-get($gray-colors, "white" );
        }
        &.active-now {
            position: relative;
            background-color: map-get($gray-colors, "white" );
            color:  map-get($colors, "red-light" );
            &::before{
                content: '' ;
                @include position($type:absolute,$top:-1px,$left:-26px) ;
                border-top: 28px solid transparent;
                border-bottom: 28px solid transparent;
                border-right: 28px solid map-get($gray-colors, "white" );
            }
        }
    }
}


.cart-items{
    @include flex($direction:column) ;
    flex-flow: row ;
    flex-wrap: wrap ;
}
.cart-item{
    @include flex($justflex:"true") ;
    flex : 0 0 100%;
    margin-bottom: 0.5rem;
    background-color: map-get($gray-colors, "white" );
    border-radius: map-get($border-radius, "sm" ) ;
    
}
.cart-item-img{
    flex : 0 0 8rem ;
    padding: 1rem ;
    height: 7rem;
    @include typography($align:center);
    img{
        max-width : 90% ;
        max-height: 100%
    }
}
.cart-item-remove{
    @include flex() ;
    flex: 0 0 4rem ;
    span{
         @include flex() ;
        width: 30px;
        height: 30px;
        background-color:  map-get($gray-colors, "gray-200" );
        border-radius: 100%;
    }
    i{
        @include typography($size:14px)
    }
}
.cart-item-count{
    @include flex() ;
    flex: 0 0 8rem ;
    select {
        border:1px solid  map-get($gray-colors, "gray-500" );
        border-radius:  map-get($border-radius, "sm" );
        outline: none ;
        height: 45px;
        line-height: 45px;
        width: 65px ;
        @include typography($size:16px, $align:center) ;
        padding: 0px 12px ;
        color: map-get($gray-colors, "gray-600" );
    }
}
.cart-item-price{
    padding: 1rem;
    @include flex($direction:column,$content:space-around) ;
    flex-flow: row;
    flex-wrap: wrap;
    flex: 0 0 15rem ;
    #old-price{
        text-decoration: line-through ;
        @include opacity(0.7)
    }
    #discount {
        @include typography($size:14px) ;
        @include opacity(0.7)
    }
    #current-price{
         @include typography($size:16px,$weight:bold) ;
    }
}
.cart-item-description{
    @include flex($direction:column,$content:space-between) ;
    flex-flow: row;
    flex-wrap: wrap;
    flex: 1 ;
    padding: 1rem ;
    #title{
        flex:0 0 100%;
        @include typography($size:14px) ;
    }
    #color {
        @include flex($justflex:"true") ;
        flex:0 0 100%;
        @include typography($size:14px) ;
        span{
             
            width: 16px;
            height: 16px;
            border-radius: 100%;
            margin-top: 4px;
            margin-right: 10px;
        }
    }
}


.cart-final-detail {
    @include flex() ;
    flex: 0 0 100%;
    background-color: map-get($gray-colors, "white" );
    border-radius: map-get($border-radius, "sm" ) ;
    padding: 1rem ;
    margin-top: 1.5rem;
    .cart-detail-item {
        @include flex($direction:column ) ;
        flex-flow: row ;
        flex-wrap: wrap;
        flex: 1 ;
        #key {
            flex: 0 0 100%;
            @include typography($weight:bold,$align:right) ;
            margin-bottom: 1rem;
        }
        #value {
            @include typography($align:right) ;
            flex: 0 0 100% ;
        }
        &.discount #value{
            color: #6aa828 ;
        }
        &.final-price #value{
            color:  map-get($colors, "red-light" ); ;
        }
    }
}

.cart-footer {
    @include flex($content:flex-start) ;
    flex: 0 0 100%;
    margin-top: 2rem;
    span{
        width: 200px;
        line-height: 45px;
        cursor: pointer;
        background-color: map-get($colors, "blue-light" ); 
        color: map-get($gray-colors, "white" ); 
        @include css3-prefix(transition,all 0.5s) ;
        border-radius:  map-get($border-radius, "sm" ); 
        @include typography($align:center);
        &:hover{
            background-color: map-get($colors, "blue" ); 
        }
    }
}